//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2008)
//
//      Данный файл является частью Darkstar Engine. Любое использование кода файла
//      без согласия компании, является нарушением закона об авторском праве (в слу-
//      чае если не оговорено обратное).
//
//      Имя файла: common_math.cpp
//      Краткое описание: стандартные математические функции, константы и структуры
//

#include <Darkstar/Math/common_math.hpp>
#include <Darkstar/Math/vect.hpp>

using math::Vect3;

Vect3 math::computeDirectionOnSphere(const float theta, const float phi)
{
	Vect3 direction = Vect3(-sinf(phi)*sinf(theta), cosf(theta), -cosf(phi)*sinf(theta));
	direction.normalize();
	return direction;
};